libosmosim 1.13.1.1-afb4 Osmocom SIM library

Functions | Variables
card_fs_hpsim.c File Reference

3GPP HPSIM specific structures / routines. More...

`#include <errno.h>`
`#include <string.h>`
`#include <osmocom/sim/sim.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/gsm/gsm48.h>`
`#include "sim_int.h"`
`#include "gsm_int.h"`

## Functions
struct osim_card_app_profile * | osim_aprof_hpsim (void *ctx)

## Variables
const struct osim_card_sw | ts31_104_sw []
static const struct osim_file_desc | hpsim_ef_in_adf_hpsim []
static const uint8_t | adf_hpsim_aid [] = { 0xA0, 0x00, 0x00, 0x00, 0x87, 0x10, 0x0A }

## Detailed Description

3GPP HPSIM specific structures / routines.

## Function Documentation

## ◆ osim_aprof_hpsim()

struct osim_card_app_profile * osim_aprof_hpsim | ( | void * | ctx | ) |

References osim_card_app_profile::adf, adf_hpsim_aid, osim_card_app_profile::aid, osim_card_app_profile::aid_len, alloc_adf_with_ef(), ARRAY_SIZE, hpsim_ef_in_adf_hpsim, osim_card_app_profile::name, osim_card_app_profile::sw, and ts31_104_sw.

Referenced by osim_init().

## Variable Documentation

## ◆ adf_hpsim_aid

const uint8_t adf_hpsim_aid[] = { 0xA0, 0x00, 0x00, 0x00, 0x87, 0x10, 0x0A }
| static

Referenced by osim_aprof_hpsim().

## ◆ hpsim_ef_in_adf_hpsim

const struct osim_file_desc hpsim_ef_in_adf_hpsim[]
| static

Initial value:
= {
EF_LIN_FIX_N(0x6F06, 0x06, "EF.ARR", 0, 1, 256,
"Access Rule TLV data objects"),
EF_TRANSP_N(0x6F07, 0x07, "EF.IMST", 0, 9, 9,
"IMSI"),
EF_TRANSP_N(0x6FAD, 0x03, "EF_AD", 0, 4, 8,
"Administrative Data"),
}
EF_TRANSP_N
#define EF_TRANSP_N(fid, sfi, ns, flags, smin, srec, nl)
Convenience macros for defining EF.
Definition: sim.h:219
EF_LIN_FIX_N
#define EF_LIN_FIX_N(fid, sfi, ns, flags, smin, srec, nl)
Convenience macros for defining EF.
Definition: sim.h:237

Referenced by osim_aprof_hpsim().

## ◆ ts31_104_sw

const struct osim_card_sw ts31_104_sw[]

Initial value:
= {
{
0x9862, 0xffff, SW_TYPE_STR, SW_CLS_ERROR,
.u.str = "Security management - Authentication error, incorrect MAC",
},
OSIM_CARD_SW_LAST
}
SW_CLS_ERROR
@ SW_CLS_ERROR
Definition: sim.h:275
OSIM_CARD_SW_LAST
#define OSIM_CARD_SW_LAST
Definition: sim.h:292
SW_TYPE_STR
@ SW_TYPE_STR
Definition: sim.h:267

Referenced by osim_aprof_hpsim().